<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en" dir="ltr">
<head>
<title>Archaeo18 PoC 2011/ODD Schema - ENT Wiki</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="generator" content="MediaWiki 1.16.5" />
<meta name="robots" content="noindex,follow" />
<link rel="alternate" type="application/x-wiki" title="Edit" href="/ent/index.php?title=Archaeo18_PoC_2011/ODD_Schema&amp;action=edit" />
<link rel="edit" title="Edit" href="/ent/index.php?title=Archaeo18_PoC_2011/ODD_Schema&amp;action=edit" />
<link rel="shortcut icon" href="/favicon.ico" />
<link rel="search" type="application/opensearchdescription+xml" href="/ent/opensearch_desc.php" title="ENT Wiki (en)" />
<link rel="alternate" type="application/atom+xml" title="ENT Wiki Atom feed" href="/ent/index.php?title=Special:RecentChanges&amp;feed=atom" />
<link rel="stylesheet" href="/ent/skins/common/commonPrint.css?270" media="" />
<link rel="stylesheet" href="/ent/index.php?title=MediaWiki:Common.css&amp;usemsgcache=yes&amp;ctype=text%2Fcss&amp;smaxage=18000&amp;action=raw&amp;maxage=18000" />
<link rel="stylesheet" href="/ent/index.php?title=MediaWiki:Print.css&amp;usemsgcache=yes&amp;ctype=text%2Fcss&amp;smaxage=18000&amp;action=raw&amp;maxage=18000" media="" />
<link rel="stylesheet" href="/ent/index.php?title=MediaWiki:Monobook.css&amp;usemsgcache=yes&amp;ctype=text%2Fcss&amp;smaxage=18000&amp;action=raw&amp;maxage=18000" />
<link rel="stylesheet" href="/ent/index.php?title=-&amp;action=raw&amp;maxage=18000&amp;smaxage=0&amp;ts=20190918080823&amp;gen=css" />
<script>
var skin="monobook",
stylepath="/ent/skins",
wgUrlProtocols="http\\:\\/\\/|https\\:\\/\\/|ftp\\:\\/\\/|irc\\:\\/\\/|gopher\\:\\/\\/|telnet\\:\\/\\/|nntp\\:\\/\\/|worldwind\\:\\/\\/|mailto\\:|news\\:|svn\\:\\/\\/",
wgArticlePath="/ent/index.php/$1",
wgScriptPath="/ent",
wgScriptExtension=".php",
wgScript="/ent/index.php",
wgVariantArticlePath=false,
wgActionPaths={},
wgServer="https://wiki.sub.uni-goettingen.de",
wgCanonicalNamespace="",
wgCanonicalSpecialPageName=false,
wgNamespaceNumber=0,
wgPageName="Archaeo18_PoC_2011/ODD_Schema",
wgTitle="Archaeo18 PoC 2011/ODD Schema",
wgAction="view",
wgArticleId=289,
wgIsArticle=true,
wgUserName="ChristianMahnke",
wgUserGroups=["*", "user", "autoconfirmed"],
wgUserLanguage="en",
wgContentLanguage="en",
wgBreakFrames=false,
wgCurRevisionId=3682,
wgVersion="1.16.5",
wgEnableAPI=true,
wgEnableWriteAPI=true,
wgSeparatorTransformTable=["", ""],
wgDigitTransformTable=["", ""],
wgMainPageTitle="Main Page",
wgFormattedNamespaces={"-2": "Media", "-1": "Special", "0": "", "1": "Talk", "2": "User", "3": "User talk", "4": "ENT Wiki", "5": "ENT Wiki talk", "6": "File", "7": "File talk", "8": "MediaWiki", "9": "MediaWiki talk", "10": "Template", "11": "Template talk", "12": "Help", "13": "Help talk", "14": "Category", "15": "Category talk"},
wgNamespaceIds={"media": -2, "special": -1, "": 0, "talk": 1, "user": 2, "user_talk": 3, "ent_wiki": 4, "ent_wiki_talk": 5, "file": 6, "file_talk": 7, "mediawiki": 8, "mediawiki_talk": 9, "template": 10, "template_talk": 11, "help": 12, "help_talk": 13, "category": 14, "category_talk": 15, "image": 6, "image_talk": 7},
wgSiteName="ENT Wiki",
wgCategories=[],
wgRestrictionEdit=[],
wgRestrictionMove=[],
wgAjaxWatch={"watchMsg": "Watch", "unwatchMsg": "Unwatch", "watchingMsg": "Watching...", "unwatchingMsg": "Unwatching...", "tooltip-ca-watchMsg": "Add this page to your watchlist", "tooltip-ca-unwatchMsg": "Remove this page from your watchlist"};
</script><script src="/ent/skins/common/wikibits.js?270"></script>
<script src="/ent/skins/common/ajax.js?270"></script>
<script src="/ent/skins/common/ajaxwatch.js?270"></script>
<script src="/ent/index.php?title=-&amp;action=raw&amp;smaxage=0&amp;gen=js&amp;useskin=monobook&amp;270"></script>

</head>
<body class="mediawiki ltr ns-0 ns-subject page-Archaeo18_PoC_2011_ODD_Schema skin-monobook">
<div id="globalWrapper">
<div id="column-content"><div id="content" >
	<a id="top"></a>
	
	<h1 id="firstHeading" class="firstHeading">Archaeo18 PoC 2011/ODD Schema</h1>
	<div id="bodyContent">
		<h3 id="siteSub">From ENT Wiki</h3>
		<div id="contentSub"></div>
		<div id="jump-to-nav">Jump to: <a href="#column-one">navigation</a>, <a href="#searchInput">search</a></div>
		<!-- start content -->
<table id="toc" class="toc"><tr><td><div id="toctitle"><h2>Contents</h2></div>
<ul>
<li class="toclevel-1 tocsection-1"><a href="#Einleitung"><span class="tocnumber">1</span> <span class="toctext">Einleitung</span></a>
<ul>
<li class="toclevel-2 tocsection-2"><a href="#TODO"><span class="tocnumber">1.1</span> <span class="toctext">TODO</span></a></li>
<li class="toclevel-2 tocsection-3"><a href="#Unterseiten"><span class="tocnumber">1.2</span> <span class="toctext">Unterseiten</span></a></li>
</ul>
</li>
<li class="toclevel-1 tocsection-4"><a href="#Besonderheiten"><span class="tocnumber">2</span> <span class="toctext">Besonderheiten</span></a>
<ul>
<li class="toclevel-2 tocsection-5"><a href="#Auspr.C3.A4gungen_von_Attributen"><span class="tocnumber">2.1</span> <span class="toctext">Ausprägungen von Attributen</span></a>
<ul>
<li class="toclevel-3 tocsection-6"><a href="#Sprachen_f.C3.BCr_.3Cforeign.2F.3E"><span class="tocnumber">2.1.1</span> <span class="toctext">Sprachen für &lt;foreign/&gt;</span></a></li>
<li class="toclevel-3 tocsection-7"><a href="#Positionen_von_.3Cnote_bzw._fw_place.3D.22.22.2F.3E"><span class="tocnumber">2.1.2</span> <span class="toctext">Positionen von &lt;note bzw. fw place=""/&gt;</span></a></li>
<li class="toclevel-3 tocsection-8"><a href="#Auspr.C3.A4gungen_von_.3Chi_rend.3D.22.22.2F.3E"><span class="tocnumber">2.1.3</span> <span class="toctext">Ausprägungen von &lt;hi rend=""/&gt;</span></a></li>
</ul>
</li>
<li class="toclevel-2 tocsection-9"><a href="#Regul.C3.A4re_Ausdr.C3.BCcke_f.C3.BCr_Identifier"><span class="tocnumber">2.2</span> <span class="toctext">Reguläre Ausdrücke für Identifier</span></a>
<ul>
<li class="toclevel-3 tocsection-10"><a href="#Betroffene_Elemente"><span class="tocnumber">2.2.1</span> <span class="toctext">Betroffene Elemente</span></a></li>
</ul>
</li>
<li class="toclevel-2 tocsection-11"><a href="#Strukturelle_Beschr.C3.A4nkungen"><span class="tocnumber">2.3</span> <span class="toctext">Strukturelle Beschränkungen</span></a>
<ul>
<li class="toclevel-3 tocsection-12"><a href="#Betroffene_Elemente_2"><span class="tocnumber">2.3.1</span> <span class="toctext">Betroffene Elemente</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="toclevel-1 tocsection-13"><a href="#ODD_Schema_kompilieren"><span class="tocnumber">3</span> <span class="toctext">ODD Schema kompilieren</span></a>
<ul>
<li class="toclevel-2 tocsection-14"><a href="#Webinterface"><span class="tocnumber">3.1</span> <span class="toctext">Webinterface</span></a></li>
<li class="toclevel-2 tocsection-15"><a href="#Webservice_via_Kommandozeile"><span class="tocnumber">3.2</span> <span class="toctext">Webservice via Kommandozeile</span></a></li>
</ul>
</li>
<li class="toclevel-1 tocsection-16"><a href="#Archaeo18_Schema_Service"><span class="tocnumber">4</span> <span class="toctext">Archaeo18 Schema Service</span></a>
<ul>
<li class="toclevel-2 tocsection-17"><a href="#Technische_Funktionsweise"><span class="tocnumber">4.1</span> <span class="toctext">Technische Funktionsweise</span></a></li>
</ul>
</li>
<li class="toclevel-1 tocsection-18"><a href="#Vorschlag:_Workflow_f.C3.BCr_.C3.84nderungen_am_Schema"><span class="tocnumber">5</span> <span class="toctext">Vorschlag: Workflow für Änderungen am Schema</span></a>
<ul>
<li class="toclevel-2 tocsection-19"><a href="#Erfassen_der_Anforderungen"><span class="tocnumber">5.1</span> <span class="toctext">Erfassen der Anforderungen</span></a>
<ul>
<li class="toclevel-3 tocsection-20"><a href="#Dokumentation_des_Anwendungsfalls"><span class="tocnumber">5.1.1</span> <span class="toctext">Dokumentation des Anwendungsfalls</span></a></li>
<li class="toclevel-3 tocsection-21"><a href="#Art_der_.C3.84nderung"><span class="tocnumber">5.1.2</span> <span class="toctext">Art der Änderung</span></a></li>
<li class="toclevel-3 tocsection-22"><a href="#Auswirkungen_auf_die_Oberfl.C3.A4che"><span class="tocnumber">5.1.3</span> <span class="toctext">Auswirkungen auf die Oberfläche</span></a></li>
</ul>
</li>
<li class="toclevel-2 tocsection-23"><a href="#Umsetzung_der_Anpassung"><span class="tocnumber">5.2</span> <span class="toctext">Umsetzung der Anpassung</span></a></li>
<li class="toclevel-2 tocsection-24"><a href="#Nutzung_des_angepassten_Schemas"><span class="tocnumber">5.3</span> <span class="toctext">Nutzung des angepassten Schemas</span></a></li>
<li class="toclevel-2 tocsection-25"><a href="#Bisherige_.C3.84nderungen_.2F_Anpassungen"><span class="tocnumber">5.4</span> <span class="toctext">Bisherige Änderungen / Anpassungen</span></a>
<ul>
<li class="toclevel-3 tocsection-26"><a href="#.C3.84nderung:_Es_soll_eine_horizontale_Linie_eingef.C3.BCgt_werden_k.C3.B6nnen"><span class="tocnumber">5.4.1</span> <span class="toctext">Änderung: Es soll eine horizontale Linie eingefügt werden können</span></a>
<ul>
<li class="toclevel-4 tocsection-27"><a href="#Anwendungsfall"><span class="tocnumber">5.4.1.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-28"><a href="#Art"><span class="tocnumber">5.4.1.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-29"><a href="#Auswirkung"><span class="tocnumber">5.4.1.3</span> <span class="toctext">Auswirkung</span></a></li>
<li class="toclevel-4 tocsection-30"><a href="#Technische_Umsetzung"><span class="tocnumber">5.4.1.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-31"><a href="#.C3.84nderung:_GND_IDs_f.C3.BCr_Literatur"><span class="tocnumber">5.4.2</span> <span class="toctext">Änderung: GND IDs für Literatur</span></a>
<ul>
<li class="toclevel-4 tocsection-32"><a href="#Anwendungsfall_2"><span class="tocnumber">5.4.2.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-33"><a href="#Art_2"><span class="tocnumber">5.4.2.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-34"><a href="#Auswirkung_2"><span class="tocnumber">5.4.2.3</span> <span class="toctext">Auswirkung</span></a></li>
<li class="toclevel-4 tocsection-35"><a href="#Technische_Umsetzung_2"><span class="tocnumber">5.4.2.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-36"><a href="#.C3.84nderung:_Anmerkungen_der_Bearbeiter_unterst.C3.BCtzen"><span class="tocnumber">5.4.3</span> <span class="toctext">Änderung: Anmerkungen der Bearbeiter unterstützen</span></a>
<ul>
<li class="toclevel-4 tocsection-37"><a href="#Anwendungsfall_3"><span class="tocnumber">5.4.3.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-38"><a href="#Art_3"><span class="tocnumber">5.4.3.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-39"><a href="#Auswirkung_3"><span class="tocnumber">5.4.3.3</span> <span class="toctext">Auswirkung</span></a></li>
<li class="toclevel-4 tocsection-40"><a href="#Technische_Umsetzung_3"><span class="tocnumber">5.4.3.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-41"><a href="#.C3.84nderung:_Mehrere_Personen_Identifier"><span class="tocnumber">5.4.4</span> <span class="toctext">Änderung: Mehrere Personen Identifier</span></a>
<ul>
<li class="toclevel-4 tocsection-42"><a href="#Anwendungsfall_4"><span class="tocnumber">5.4.4.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-43"><a href="#Art_4"><span class="tocnumber">5.4.4.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-44"><a href="#Auswirkung_4"><span class="tocnumber">5.4.4.3</span> <span class="toctext">Auswirkung</span></a></li>
<li class="toclevel-4 tocsection-45"><a href="#Technische_Umsetzung_4"><span class="tocnumber">5.4.4.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-46"><a href="#.C3.84nderung:_Typ_Drucker_unterst.C3.BCtzen"><span class="tocnumber">5.4.5</span> <span class="toctext">Änderung: Typ Drucker unterstützen</span></a>
<ul>
<li class="toclevel-4 tocsection-47"><a href="#Anwendungsfall_5"><span class="tocnumber">5.4.5.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-48"><a href="#Art_5"><span class="tocnumber">5.4.5.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-49"><a href="#Auswirkungen"><span class="tocnumber">5.4.5.3</span> <span class="toctext">Auswirkungen</span></a></li>
<li class="toclevel-4 tocsection-50"><a href="#Technische_Umsetzung_5"><span class="tocnumber">5.4.5.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-51"><a href="#.C3.84nderung:_Zeichen_als_Abk.C3.BCrzung_unterst.C3.BCtzen"><span class="tocnumber">5.4.6</span> <span class="toctext">Änderung: Zeichen als Abkürzung unterstützen</span></a>
<ul>
<li class="toclevel-4 tocsection-52"><a href="#Anwendungsfall_6"><span class="tocnumber">5.4.6.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-53"><a href="#Art_6"><span class="tocnumber">5.4.6.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-54"><a href="#Auswirkungen_2"><span class="tocnumber">5.4.6.3</span> <span class="toctext">Auswirkungen</span></a></li>
<li class="toclevel-4 tocsection-55"><a href="#Technische_Umsetzung_6"><span class="tocnumber">5.4.6.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-56"><a href="#.C3.84nderung:_Zeichen_als_Abk.C3.BCrzung_unterst.C3.BCtzen_2"><span class="tocnumber">5.4.7</span> <span class="toctext">Änderung: Zeichen als Abkürzung unterstützen</span></a>
<ul>
<li class="toclevel-4 tocsection-57"><a href="#Anwendungsfall_7"><span class="tocnumber">5.4.7.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-58"><a href="#Art_7"><span class="tocnumber">5.4.7.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-59"><a href="#Auswirkungen_3"><span class="tocnumber">5.4.7.3</span> <span class="toctext">Auswirkungen</span></a></li>
<li class="toclevel-4 tocsection-60"><a href="#Technische_Umsetzung_7"><span class="tocnumber">5.4.7.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-61"><a href="#.C3.84nderung:_Statuen_als_.3Cterm.2F.3E_streichen"><span class="tocnumber">5.4.8</span> <span class="toctext">Änderung: Statuen als &lt;term/&gt; streichen</span></a>
<ul>
<li class="toclevel-4 tocsection-62"><a href="#Anwendungsfall_8"><span class="tocnumber">5.4.8.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-63"><a href="#Art_8"><span class="tocnumber">5.4.8.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-64"><a href="#Auswirkungen_4"><span class="tocnumber">5.4.8.3</span> <span class="toctext">Auswirkungen</span></a></li>
<li class="toclevel-4 tocsection-65"><a href="#Technische_Umsetzung_8"><span class="tocnumber">5.4.8.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-66"><a href="#.C3.84nderung:_Anmerkungen_der_Bearbeiter_zu_Entit.C3.A4ten"><span class="tocnumber">5.4.9</span> <span class="toctext">Änderung: Anmerkungen der Bearbeiter zu Entitäten</span></a>
<ul>
<li class="toclevel-4 tocsection-67"><a href="#Anwendungsfall_9"><span class="tocnumber">5.4.9.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-68"><a href="#Art_9"><span class="tocnumber">5.4.9.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-69"><a href="#Auswirkungen_5"><span class="tocnumber">5.4.9.3</span> <span class="toctext">Auswirkungen</span></a></li>
<li class="toclevel-4 tocsection-70"><a href="#Technische_Umsetzung_9"><span class="tocnumber">5.4.9.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
<li class="toclevel-3 tocsection-71"><a href="#.C3.84nderung:_.3CrespStmt.3E_im_Header_erlauben"><span class="tocnumber">5.4.10</span> <span class="toctext">Änderung: &lt;respStmt&gt; im Header erlauben</span></a>
<ul>
<li class="toclevel-4 tocsection-72"><a href="#Anwendungsfall_10"><span class="tocnumber">5.4.10.1</span> <span class="toctext">Anwendungsfall</span></a></li>
<li class="toclevel-4 tocsection-73"><a href="#Art_10"><span class="tocnumber">5.4.10.2</span> <span class="toctext">Art</span></a></li>
<li class="toclevel-4 tocsection-74"><a href="#Auswirkungen_6"><span class="tocnumber">5.4.10.3</span> <span class="toctext">Auswirkungen</span></a></li>
<li class="toclevel-4 tocsection-75"><a href="#Technische_Umsetzung_10"><span class="tocnumber">5.4.10.4</span> <span class="toctext">Technische Umsetzung</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toclevel-1 tocsection-76"><a href="#Metaschema"><span class="tocnumber">6</span> <span class="toctext">Metaschema</span></a>
<ul>
<li class="toclevel-2 tocsection-77"><a href="#Validierung_in_Oxygen"><span class="tocnumber">6.1</span> <span class="toctext">Validierung in Oxygen</span></a></li>
<li class="toclevel-2 tocsection-78"><a href="#Erweiterung_des_Metaschemas"><span class="tocnumber">6.2</span> <span class="toctext">Erweiterung des Metaschemas</span></a></li>
</ul>
</li>
</ul>
</td></tr></table><script>if (window.showTocToggle) { var tocShowText = "show"; var tocHideText = "hide"; showTocToggle(); } </script>
<h1> <span class="mw-headline" id="Einleitung"> Einleitung </span></h1>
<p>TEI Schemata können prinzipiell in jeder Schema Sprache (XML Schema <a href="http://www.w3.org/XML/Schema" class="external autonumber" rel="nofollow" target="_blank">[1]</a>, DTD, Relax NG <a href="http://relaxng.org/" class="external autonumber" rel="nofollow" target="_blank">[2]</a>, Schematron<a href="http://www.schematron.com/" class="external autonumber" rel="nofollow" target="_blank">[3]</a>) abgefasst werden. Allgemeine Informationen über ODD <a href="http://wiki.tei-c.org/index.php/ODD" class="external autonumber" rel="nofollow" target="_blank">[4]</a> bietet <a href="http://www.tei-c.org/Guidelines/Customization/odds.xml" class="external autonumber" rel="nofollow" target="_blank">[5]</a>, eine weitergehende Referenz ist unter <a href="http://www.tei-c.org/release/doc/tei-p5-doc/en/html/TD.html" class="external autonumber" rel="nofollow" target="_blank">[6]</a> zu finden. Aus den ODD kann mittels Roma <a href="http://wiki.tei-c.org/index.php/Roma" class="external autonumber" rel="nofollow" target="_blank">[7]</a> (Download <a href="http://sourceforge.net/projects/tei/files/Roma/" class="external autonumber" rel="nofollow" target="_blank">[8]</a>, Webanwendung <a href="http://www.tei-c.org/Roma/" class="external autonumber" rel="nofollow" target="_blank">[9]</a>, Installationsanleitung für Mac OS X <a href="http://www.wwp.brown.edu/outreach/seminars/_current/handouts/roma_CLI_MacOS_X.html" class="external autonumber" rel="nofollow" target="_blank">[10]</a>) Schemata in unterschiedlichen Formaten generiert werden. die Webanwendung bietet einen einfachen Weg die ODD Datei anzupassen.Eine Anleitung findet sich unter <a href="http://tbe.kantl.be/TBE/modules/TBED08v00.htm" class="external autonumber" rel="nofollow" target="_blank">[11]</a><br />
Das Archaeo18 Schema ist in der Schemadatei selbst (inklusive der Kodierierungsrichtlinie) dokumentiert, auf dieser Seite finden sich nur die projektspezifischen Spezialisierungen.
Das Schema selbst ist in eXist hinterlegt: <a href="http://134.76.21.92:8080/exist/rest/db/archaeo18/config/schema/Archaeo18.xml" class="external free" rel="nofollow" target="_blank">http://134.76.21.92:8080/exist/rest/db/archaeo18/config/schema/Archaeo18.xml</a>
</p>
<h2> <span class="mw-headline" id="TODO"> TODO </span></h2>
<ul><li> Der Abschnitt Ausprägung der Attribute ist noch unvollständig.
</li><li> Die Beschreibung des Mappings zu XHTML ist noch nicht auf das Schema abgestimmt.
</li><li> Die Header Felder müssen noch dokumentiert werden
</li></ul>
<h2> <span class="mw-headline" id="Unterseiten"> Unterseiten </span></h2>
<ul><li> <a href="/ent/index.php/Archaeo18_PoC_2011/ODD_Schema/TEI_Header" title="Archaeo18 PoC 2011/ODD Schema/TEI Header">TEI Header</a>
</li></ul>
<h1> <span class="mw-headline" id="Besonderheiten"> Besonderheiten </span></h1>
<h2> <span class="mw-headline" id="Auspr.C3.A4gungen_von_Attributen"> Ausprägungen von Attributen </span></h2>
<p>In diesem Abschnitt fehlen noch einige Attribute.
</p>
<h3> <span class="mw-headline" id="Sprachen_f.C3.BCr_.3Cforeign.2F.3E"> Sprachen für &lt;foreign/&gt; </span></h3>
<table class="wikitable">

<tr>
<th> ISO Kürzel
</th><th> Sprache
</th></tr>
<tr>
<td> de
</td><td> deutsch
</td></tr>
<tr>
<td> en
</td><td> Englisch
</td></tr>
<tr>
<td> fr
</td><td> Französisch
</td></tr>
<tr>
<td> it
</td><td> Italienisch
</td></tr>
<tr>
<td> la
</td><td> Latein
</td></tr>
<tr>
<td> es
</td><td> Spanisch
</td></tr>
<tr>
<td> gr
</td><td> Griechisch
</td></tr>
<tr>
<td> he
</td><td> Hebräisch
</td></tr></table>
<h3> <span class="mw-headline" id="Positionen_von_.3Cnote_bzw._fw_place.3D.22.22.2F.3E"> Positionen von &lt;note bzw. fw place=""/&gt; </span></h3>
<table class="wikitable">

<tr>
<th> Wert
</th><th> Bedeutung
</th></tr>
<tr>
<td> margin
</td><td> Einzug
</td></tr>
<tr>
<td> bottom
</td><td> Unten
</td></tr>
<tr>
<td> end
</td><td> Ende
</td></tr>
<tr>
<td> inline
</td><td> Eingebunden
</td></tr>
<tr>
<td> top
</td><td> Oben
</td></tr>
<tr>
<td> above
</td><td> Über
</td></tr></table>
<h3> <span class="mw-headline" id="Auspr.C3.A4gungen_von_.3Chi_rend.3D.22.22.2F.3E"> Ausprägungen von &lt;hi rend=""/&gt; </span></h3>
<table class="wikitable">

<tr>
<th> Wert
</th><th> Bedeutung
</th></tr>
<tr>
<td> underline
</td><td> Unterstrichen
</td></tr>
<tr>
<td> double underline
</td><td> Doppelt unterstrichen
</td></tr>
<tr>
<td> italic
</td><td> Kursiv
</td></tr>
<tr>
<td> bold
</td><td> Fett
</td></tr></table>
<h2> <span class="mw-headline" id="Regul.C3.A4re_Ausdr.C3.BCcke_f.C3.BCr_Identifier"> Reguläre Ausdrücke für Identifier </span></h2>
<p>In Attributdefinitionen <a href="http://www.tei-c.org/release/doc/tei-p5-doc/en/html/ref-attDef.html" class="external autonumber" rel="nofollow" target="_blank">[12]</a> können mittels Relax NG (und theoretisch auch XML Schema) Reguläre Ausdrücke verwendet werden hier ein Beispiel:
</p>
<pre>
                        &lt;attDef ident=&quot;ref&quot; usage=&quot;opt&quot; mode=&quot;change&quot;&gt;
                            &lt;gloss&gt;Es sollte ein Linkziel angegeben werden.&lt;/gloss&gt;
                            &lt;datatype&gt;
                                &lt;rng:data type=&quot;string&quot;
                                    xmlns:rng=&quot;http://relaxng.org/ns/structure/1.0&quot;&gt;
                                    &lt;rng:param name=&quot;pattern&quot;
                                        &gt;(#CensusID:\d{6,9}\s?|#http://arachne\.uni-koeln\.de/\S+\s?)+&lt;/rng:param&gt;
                                &lt;/rng:data&gt;
                            &lt;/datatype&gt;
                        &lt;/attDef&gt;
</pre>
<h3> <span class="mw-headline" id="Betroffene_Elemente"> Betroffene Elemente </span></h3>
<table class="wikitable">

<tr>
<th> TEI Tag / Attribut
</th><th> Regulärer Ausdruck
</th><th> Erläuterung
</th></tr>
<tr>
<td> &lt;ref target="" /&gt;
</td><td> (#http(s?)://\S+\s?|#p\d{1,4}\s?)+
</td><td> "http://" URLs oder interne Verweise
</td></tr>
<tr>
<td> &lt;placeName ref="" /&gt;
</td><td> (#GettyID:\d{7,8}\s?|#http://arachne\.uni-koeln\.de/\S+\s?)+
</td><td> Getty IDs oder Links in Arachne
</td></tr>
<tr>
<td> &lt;persName ref=""/&gt;
</td><td> (#CerlID:cn(p|i)\d{8,9}\s?)+
</td><td> Cerl IDs
</td></tr>
<tr>
<td> &lt;term ref="" /&gt;
</td><td> (#CensusID:\d{6,9}\s?|#http://arachne\.uni-koeln\.de/\S+\s?)+
</td><td> Census IDs oder Arachne Links
</td></tr></table>
<h2> <span class="mw-headline" id="Strukturelle_Beschr.C3.A4nkungen"> Strukturelle Beschränkungen </span></h2>
<p>ODD unterstützt auch eingebettet Schematron <a href="http://www.schematron.com/" class="external autonumber" rel="nofollow" target="_blank">[13]</a> Bedingungen mit denen strukturelle Beziehungen <a href="http://www.tei-c.org/release/doc/tei-p5-doc/en/html/TD.html#TDTAGCONS" class="external autonumber" rel="nofollow" target="_blank">[14]</a> beschrieben werden können, ein Beispiel:
</p>
<pre>
                &lt;constraintSpec ident=&quot;milestones&quot; scheme=&quot;isoschematron&quot;&gt;
                    &lt;desc&gt;Check if &lt;milestone/&gt; tags are on the same level.&lt;/desc&gt;
                    &lt;constraint xmlns:sch=&quot;http://purl.oclc.org/dsdl/schematron&quot;&gt;
                        &lt;sch:pattern id=&quot;column-milestones&quot;&gt;
                            &lt;sch:ns prefix=&quot;TEI&quot; uri=&quot;http://www.tei-c.org/ns/1.0&quot;/&gt;
                            &lt;sch:rule context=&quot;TEI:milestone[@type='end']&quot;&gt;
                                &lt;sch:assert test=&quot;./preceding-sibling::TEI:milestone[@type='start']&quot;&gt;Start milestone not found, might be nesting error&lt;/sch:assert&gt;
                            &lt;/sch:rule&gt;
                        &lt;/sch:pattern&gt;
                    &lt;/constraint&gt;
                &lt;/constraintSpec&gt;
</pre>
<h3> <span class="mw-headline" id="Betroffene_Elemente_2"> Betroffene Elemente </span></h3>
<table class="wikitable">

<tr>
<th> TEI Tag
</th><th> Art
</th><th> Erläuterung
</th></tr>
<tr>
<td> &lt;milestone type="end" /&gt;
</td><td> Schachtelung
</td><td> Prüft ob sich der &lt;milestone type="start" /&gt; auf der gleichen Ebene befindet.
</td></tr>
<tr>
<td> <s>&lt;cb/&gt;</s>
</td><td> <s>Schachtelung</s>
</td><td> <s>Prüft ob sich der Spaltenumbruch alleine auf der Ebene befindet.</s>
</td></tr>
<tr>
<td> &lt;figure&gt;
</td><td> Vollständigkeit
</td><td> prüft ob eine Beschreibung angeben wurde.
</td></tr></table>
<h1> <span class="mw-headline" id="ODD_Schema_kompilieren"> ODD Schema kompilieren </span></h1>
<h2> <span class="mw-headline" id="Webinterface"> Webinterface </span></h2>
<p>Es kann Roma <a href="http://www.tei-c.org/Roma/" class="external autonumber" rel="nofollow" target="_blank">[15]</a> genutzt werden.
</p>
<h2> <span class="mw-headline" id="Webservice_via_Kommandozeile"> Webservice via Kommandozeile </span></h2>
<p>Für die Nutzung von OxGarage <a href="http://www.tei-c.org/oxgarage/" class="external autonumber" rel="nofollow" target="_blank">[16]</a> von der Kommandozeile muss curl <a href="http://curl.haxx.se/" class="external autonumber" rel="nofollow" target="_blank">[17]</a> installiert sein. Die Dokumentation der REST Schnittstelle der zu Grunde liegenden Software: <a href="http://enrich-ege.sourceforge.net/restws.html" class="external autonumber" rel="nofollow" target="_blank">[18]</a>
</p>
<pre>
curl -s  -F upload=@Archaeo18.xml  -o Archaeo18.rng 'http://oxgarage.oucs.ox.ac.uk:8080/ege-webservice/Conversions/ODD%3Atext%3Axml/ODDC%3Atext%3Axml/relaxng%3Aapplication%3Axml-relaxng/conversion'
</pre>
<h1> <span class="mw-headline" id="Archaeo18_Schema_Service"> Archaeo18 Schema Service </span></h1>
<p>Der Schema Service stellt jeweils die aktuelle Version des ODD Schemas als XML kodiertes Relax NG mit eingebettetem ISO Schematron bereit. Der Schema Service ist unter der folgenden URL zu erreichen: <a href="http://134.76.21.92:8080/exist/rest/db/archaeo18/config/schema/schema.xq" class="external free" rel="nofollow" target="_blank">http://134.76.21.92:8080/exist/rest/db/archaeo18/config/schema/schema.xq</a>
</p>
<h2> <span class="mw-headline" id="Technische_Funktionsweise"> Technische Funktionsweise </span></h2>
<p>Die XQuery schaut bei jedem Aufruf nach dem letzten Änderungsdatum der ODD Datei und sucht dann nach einem kompilierten Schema das dieses Datum im Dateinamen trägt. Wenn es gefunden wird, wird dieses ausgeliefert. Falls es nicht gefunden wird, wird die OOD Datei an OxGarage geschickt, dort konvertiert, und dann mit dem Änderungsdatum im Dateinamen auf dem Server gespeichert und danach an den Client ausgeliefert.
</p>
<h1> <span class="mw-headline" id="Vorschlag:_Workflow_f.C3.BCr_.C3.84nderungen_am_Schema"> Vorschlag: Workflow für Änderungen am Schema </span></h1>
<p>Dieser Abschnitt beschreibt einen Vorschlag für den Workflow zur Anpassung des Schemas. In folgenden wird davon ausgegangen, das die "Kodierungsrichtlinie" nur die menschenlesbare Form des Schemas ist, daher sind für Änderungen auch entsprechende Beschreibungen notwendig.
</p><p>Mögliche Änderungen beinhalten hierbei:
</p>
<ul><li> Einfügen zusätzlicher Elemente, z.B. um neu erkannte textuelle Besonderheiten auszeichnen zu können.
</li><li> Neue Attribute, z.B. neue spezifische Eigenschaften von Elementen erfasst werden sollen.
</li><li> Neue Werte für Attribute, z.B. weil zusätzliche Ausprägungen erkannt wurden.
</li><li> Neue vorgaben für Werte von Attributen, z.B. weil zusätzliche Klassen von Identifiern notwendig werden.
</li></ul>
<h2> <span class="mw-headline" id="Erfassen_der_Anforderungen"> Erfassen der Anforderungen </span></h2>
<p>Um eine Änderung am Schema durchzuführen, sollten alle notwendigen Anforderungen dafür erfüllt sein:
</p>
<h3> <span class="mw-headline" id="Dokumentation_des_Anwendungsfalls"> Dokumentation des Anwendungsfalls </span></h3>
<p>Es sollte dokumentiert werden, für welche Fälle die Änderung gewünscht ist. Die Dokumentation dient dabei auch dabei die Kodierungsrichtlinien entsprechend anzupassen. Zielgruppe für diese Anforderung sind dabei primär die Bearbeiter, die so in die Lage versetzt werden sollen die Änderung konsistent anzuwenden. Falls die Änderung dazu führen kann, das besehende Texte geändert werden müssen, sollte das angegeben werden.
</p>
<h3> <span class="mw-headline" id="Art_der_.C3.84nderung"> Art der Änderung </span></h3>
<p>Hierbei ist das Element / Attribut etc (siehe Aufzählung oben), nach Möglichkeit mit Link auf die TEI P5 Dokumentation <a href="http://www.tei-c.org/release/doc/tei-p5-doc/en/html/REF-ELEMENTS.html" class="external autonumber" rel="nofollow" target="_blank">[19]</a> anzugeben. Bei Attributen sollten nach Möglichkeit alle Ausprägungen bzw. Muster (bei Identifiern) in einer menschenlesbaren form angegeben werden. Zielgruppe für diese Anforderung sind die "Techniker", die dadurch in die Lage versetzt werden, die Änderung ohne Rückfragen und daher schnell umzusetzen.
</p>
<h3> <span class="mw-headline" id="Auswirkungen_auf_die_Oberfl.C3.A4che"> Auswirkungen auf die Oberfläche </span></h3>
<p>Hierbei sollte grob die gewünschte Auswirkung auf die Oberfläche beschrieben werden, das beinhaltet besonders Änderungen, die spezische Darstellungen erlauben sollen. Die Auswirkungen können dabei als Text abgefasst werden, Mockups bzw. Zeichnungen werden allerdings bevorzugt. Aber auch wenn es keine Auswirkungen auf die Oberfläche geben soll, sollte das explizit angegeben werden. Zielgruppe dieser Anforderung sind in erster Linie die "Techniker", die die Darstellung erzeugen und daher in zweiter Linie auch die Endanwender.
</p>
<h2> <span class="mw-headline" id="Umsetzung_der_Anpassung"> Umsetzung der Anpassung </span></h2>
<p>Die Umsetzung wird von den "Technikern" vorgenommen. Dazu sollte ein Mail mit allen drei Anforderungen an die jeweilige Kontaktperson gesendet werden. Danach wird das Schema entsprechend angepasst, die Änderung darin mit den Anforderungen dokumentiert.
</p>
<h2> <span class="mw-headline" id="Nutzung_des_angepassten_Schemas"> Nutzung des angepassten Schemas </span></h2>
<p>Wenn das neue Schema bereit steht sollte es unmittelbar genutzt werden, eine jeweils aktuelle Version bietet der <a href="#Archaeo18_Schema_Service">Schema Service</a>.
</p>
<h2> <span class="mw-headline" id="Bisherige_.C3.84nderungen_.2F_Anpassungen"> Bisherige Änderungen / Anpassungen </span></h2>
<p>Dabei wird der Punkt "Zechnische Umsetzung" von den "Technikern" ausgefüllt.
</p>
<h3> <span class="mw-headline" id=".C3.84nderung:_Es_soll_eine_horizontale_Linie_eingef.C3.BCgt_werden_k.C3.B6nnen"> Änderung: Es soll eine horizontale Linie eingefügt werden können </span></h3>
<h4> <span class="mw-headline" id="Anwendungsfall"> Anwendungsfall </span></h4>
<p>In "Darmstadt 497" finden sich horizontale Linien, dafür ist noch kein TEI Tag definiert.
</p>
<h4> <span class="mw-headline" id="Art"> Art </span></h4>
<p>Es sollte ein entsprechendes Tag definiert werden.
</p>
<h4> <span class="mw-headline" id="Auswirkung"> Auswirkung </span></h4>
<p>In der Oberfläche sollte eine horizontale Linie angezeigt werden, diese muss von einem Seitenumbruch zu unterscheiden sein, z.B. durch eine geringere Breite.
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung"> Technische Umsetzung </span></h4>
<p>TEI Tite <a href="http://www.tei-c.org/release/doc/tei-p5-exemplars/html/tei_tite.doc.html" class="external autonumber" rel="nofollow" target="_blank">[20]</a> definiert für diesen Anendungsfall <span style="font-family: monospace;">&lt;ornament rend="line"&gt;</span> <a href="http://www.tei-c.org/release/doc/tei-p5-exemplars/html/tei_tite.doc.html#ornament" class="external autonumber" rel="nofollow" target="_blank">[21]</a>, da das Element in P5 allerdings nicht existiert, wird es wie in den Guidelines <a href="http://www.tei-c.org/release/doc/tei-p5-exemplars/html/tei_tite.doc.html#ornament" class="external autonumber" rel="nofollow" target="_blank">[22]</a>  bzw. im offiziellen Stylesheet <a href="http://tei.svn.sourceforge.net/viewvc/tei/trunk/Stylesheets/tite/tite-to-tei.xsl" class="external autonumber" rel="nofollow" target="_blank">[23]</a> beschrieben zu <span style="font-family: monospace;">&lt;figure place="inline"/&gt;</span>. Für eine eindeutige Zuordnung wird es hier noch um das rend Attribut ergänzt, also <span style="font-family: monospace;">&lt;figure place="inline" rend="line"/&gt;</span>.
</p>
<h3> <span class="mw-headline" id=".C3.84nderung:_GND_IDs_f.C3.BCr_Literatur"> Änderung: GND IDs für Literatur </span></h3>
<h4> <span class="mw-headline" id="Anwendungsfall_2"> Anwendungsfall </span></h4>
<p>Bei der Literatur gibt es Werke, zu denen es kein Buch gibt. Dies sind Antike Texte, die es wie die Bibel in mehreren Ausgaben ohne eine reguläre Druckausgabe gibt. Herr Schaab möchte, dass wir dazu auf den "Gemeinsame Normdatei" Datei verlinken. Wie sollen wir diese Daten codieren? Sie besitzen alle den Anfang "<a href="http://d-nb.info/gnd/" class="external free" rel="nofollow" target="_blank">http://d-nb.info/gnd/</a>..."
</p>
<h4> <span class="mw-headline" id="Art_2"> Art </span></h4>
<p>Änderung von Identifiern
</p>
<h4> <span class="mw-headline" id="Auswirkung_2"> Auswirkung </span></h4>
<p>Die Links in die GND sollen analog zu anderen externen Links dargestellt werden.
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung_2"> Technische Umsetzung </span></h4>
<p>Der folgende reguläre Ausdruck wird für das Attribut <b>@target</b> des Elements <b>ref</b> ergänzt:
</p>
<pre>
#http(s?)://d-nb.info/gnd/\S+
</pre>
<h3> <span class="mw-headline" id=".C3.84nderung:_Anmerkungen_der_Bearbeiter_unterst.C3.BCtzen"> Änderung: Anmerkungen der Bearbeiter unterstützen </span></h3>
<h4> <span class="mw-headline" id="Anwendungsfall_3"> Anwendungsfall </span></h4>
<p>In den Worddateien gibt es Textstellen, die mit Klammern "()" markiert sind, diese beinhalten Anmerkungen der Bearbeiter.
</p>
<h4> <span class="mw-headline" id="Art_3"> Art </span></h4>
<p>Neue Ausszeichnungsmöglichkeit.
</p>
<h4> <span class="mw-headline" id="Auswirkung_3"> Auswirkung </span></h4>
<p>Die Anmerkungen sollen im ersten Schritt nicht angezeigt werden und dienen (erstmal) nur der internen Bearbeitung.
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung_3"> Technische Umsetzung </span></h4>
<p>Das Element <b>note</b> wird um ein Attribut <b>@type</b> mit der Ausprägung <b>certainty</b> <a href="http://www.tei-c.org/release/doc/tei-p5-doc/en/html/CE.html" class="external autonumber" rel="nofollow" target="_blank">[24]</a> ergänzt. Beispiel <span style="font-family: monospace;">&lt;note type="certainty"/&gt;</span>
</p>
<h3> <span class="mw-headline" id=".C3.84nderung:_Mehrere_Personen_Identifier"> Änderung: Mehrere Personen Identifier </span></h3>
<h4> <span class="mw-headline" id="Anwendungsfall_4"> Anwendungsfall </span></h4>
<p>Wenn Familien oder Gruppen ohne Namensnennungen im text vorkommen werden mehrere IDs vergeben, das wird derzeit nicht unterstützt.
</p>
<h4> <span class="mw-headline" id="Art_4"> Art </span></h4>
<p>Änderung von Identifiern
</p>
<h4> <span class="mw-headline" id="Auswirkung_4"> Auswirkung </span></h4>
<p>Es soll auch eine Auswahlbox angezeigt werden.
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung_4"> Technische Umsetzung </span></h4>
<p>Der folgende reguläre Ausdruck wird für das Attribut <b>@target</b> des Elements <b>ref</b> ergänzt:
</p>
<pre>
(#CerlID:cnp\d{8,9}\s?)+
</pre>
<h3> <span class="mw-headline" id=".C3.84nderung:_Typ_Drucker_unterst.C3.BCtzen"> Änderung: Typ Drucker unterstützen </span></h3>
<h4> <span class="mw-headline" id="Anwendungsfall_5"> Anwendungsfall </span></h4>
<p>Im CERL Thesaurus werden Drucker anders ausgezeichnet, der Identifier beginnt mit "cni".
</p>
<h4> <span class="mw-headline" id="Art_5"> Art </span></h4>
<p>Änderung von Identifiern
</p>
<h4> <span class="mw-headline" id="Auswirkungen"> Auswirkungen </span></h4>
<p>Analog zu bisherigen Personen, nur anderer Identifier.
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung_5"> Technische Umsetzung </span></h4>
<p>Der folgende reguläre Ausdruck wird für das Attribut <b>@target</b> des Elements <b>ref</b> ergänzt:
</p>
<pre>
(#CerlID:cni\d{8,9}\s?)+
</pre>
<h3> <span class="mw-headline" id=".C3.84nderung:_Zeichen_als_Abk.C3.BCrzung_unterst.C3.BCtzen"> Änderung: Zeichen als Abkürzung unterstützen </span></h3>
<p>In Bern 86 3. Band findet sich ein Quadrat als Abkürzung für das Wort "Quadrat".<br />
Text (hier mit eckigen Klammern):
</p>
<pre>
von klein Asien wir haben nichts als einige Nach-
richt. ein großes langes []. 411. Fuß im Um-
</pre>
<p>Bild:
<a href="/ent/index.php/File:Bern86-3.Band-Quadrat.png" class="image"><img alt="Bern86-3.Band-Quadrat.png" src="/ent/images/e/e5/Bern86-3.Band-Quadrat.png" width="597" height="271" /></a>
</p>
<h4> <span class="mw-headline" id="Anwendungsfall_6"> Anwendungsfall </span></h4>
<p>Grafiken sollten in den Fliesstext eingebettet werden können (Inline), alternativ sollten Abkürzungen durch Zeichen bzw. Symbole (z.B Unicode 9633 dec., siehe <a href="http://en.wikipedia.org/wiki/Geometric_Shapes" class="external autonumber" rel="nofollow" target="_blank">[25]</a>) unterstützt werden.
</p>
<h4> <span class="mw-headline" id="Art_6"> Art </span></h4>
<p>Noch unklar.
</p>
<h4> <span class="mw-headline" id="Auswirkungen_2"> Auswirkungen </span></h4>
<h4> <span class="mw-headline" id="Technische_Umsetzung_6"> Technische Umsetzung </span></h4>
<h3> <span class="mw-headline" id=".C3.84nderung:_Zeichen_als_Abk.C3.BCrzung_unterst.C3.BCtzen_2"> Änderung: Zeichen als Abkürzung unterstützen </span></h3>
<p>In der Kopenhagener Handschrift finden sich Abschnitte auf hebräisch. Das kann derzeit nicht im &lt;foreign/&gt; Tag angegeben werden.
</p>
<h4> <span class="mw-headline" id="Anwendungsfall_7"> Anwendungsfall </span></h4>
<p>Fremdsprachige Abschnitte auf hebräisch.
</p>
<h4> <span class="mw-headline" id="Art_7"> Art </span></h4>
<p>Neuer Wert für ein Attribut.
</p>
<h4> <span class="mw-headline" id="Auswirkungen_3"> Auswirkungen </span></h4>
<p>Keine in der Oberfläche, ggf. Probleme mit Fehlenden Unicode Schriften im Browser
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung_7"> Technische Umsetzung </span></h4>
<p>Das Attribut <b>xml:lang</b> kann den Wert <b>he</b> annehmen.
</p>
<h3> <span class="mw-headline" id=".C3.84nderung:_Statuen_als_.3Cterm.2F.3E_streichen"> Änderung: Statuen als &lt;term/&gt; streichen </span></h3>
<p>Einzelne Artefakte sollen nicht mehr typisiert werden, ggf. kann diese Information aus externer Quelle (Census, Arachne) bezogen werden.
</p>
<h4> <span class="mw-headline" id="Anwendungsfall_8"> Anwendungsfall </span></h4>
<p>Auszeichnung von &lt;term/&gt; Entitäten
</p>
<h4> <span class="mw-headline" id="Art_8"> Art </span></h4>
<p>Wert für ein Attribut löschen.
</p>
<h4> <span class="mw-headline" id="Auswirkungen_4"> Auswirkungen </span></h4>
<p>Keine in der Oberfläche.
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung_8"> Technische Umsetzung </span></h4>
<p>Den Wert <b>statue</b> für das  Attribut <b>type</b> streichen.
</p>
<h3> <span class="mw-headline" id=".C3.84nderung:_Anmerkungen_der_Bearbeiter_zu_Entit.C3.A4ten"> Änderung: Anmerkungen der Bearbeiter zu Entitäten </span></h3>
<p>Einzelne Artefakte sollen können nicht mit IDs ausgestattet werden, bzw. gibt es Anmerkungen zu ihrem Status (verschollen, nicht antik etc.)
</p>
<h4> <span class="mw-headline" id="Anwendungsfall_9"> Anwendungsfall </span></h4>
<p>Auszeichnung von &lt;term/&gt; Entitäten
</p>
<h4> <span class="mw-headline" id="Art_9"> Art </span></h4>
<p>Attribute ignorieren, wenn ein zusätzliche Element vorhandene ist.
</p>
<h4> <span class="mw-headline" id="Auswirkungen_5"> Auswirkungen </span></h4>
<p>Anzeige als Mouse Over.
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung_9"> Technische Umsetzung </span></h4>
<p>&lt;note type="certainty" 
resp="Wiegel"&gt;blablabla-Wiegel&lt;/note&gt;
</p>
<h3> <span class="mw-headline" id=".C3.84nderung:_.3CrespStmt.3E_im_Header_erlauben"> Änderung: &lt;respStmt&gt; im Header erlauben </span></h3>
<h4> <span class="mw-headline" id="Anwendungsfall_10"> Anwendungsfall </span></h4>
<p>Auszeichnung von Bearbeitern im Header
</p>
<h4> <span class="mw-headline" id="Art_10"> Art </span></h4>
<p>Nues Element
</p>
<h4> <span class="mw-headline" id="Auswirkungen_6"> Auswirkungen </span></h4>
<p>Keine, betrifft nur die Daten
</p>
<h4> <span class="mw-headline" id="Technische_Umsetzung_10"> Technische Umsetzung </span></h4>
<p>Das Element &lt;respStmt/&gt; ins Schema einfügen.
</p>
<h1> <span class="mw-headline" id="Metaschema"> Metaschema </span></h1>
<p>Das Schema selbst st in validem TEI abgefasst, dies hat zwei Vorteile:
</p>
<ul><li> Es kann mit einem weiteren Schema validiert werden
</li><li> Es kann um eigene Elemente erweitert werden.
</li></ul>
<p>Das Schema ist unter der folgenden URL zu finden: <a href="http://134.76.21.92:8080/exist/rest/db/archaeo18/config/schema/SUB-Edition-Schema.xml" class="external free" rel="nofollow" target="_blank">http://134.76.21.92:8080/exist/rest/db/archaeo18/config/schema/SUB-Edition-Schema.xml</a>
</p>
<h2> <span class="mw-headline" id="Validierung_in_Oxygen"> Validierung in Oxygen </span></h2>
<p>Die Validierung in Oxygen funktioniert erst wenn die ID Validierung deaktiviert wurde:
<a href="/ent/index.php/File:Oxygen-Trang-ID-Problem.png" class="image"><img alt="Oxygen-Trang-ID-Problem.png" src="/ent/images/9/91/Oxygen-Trang-ID-Problem.png" width="1261" height="916" /></a>
</p>
<h2> <span class="mw-headline" id="Erweiterung_des_Metaschemas"> Erweiterung des Metaschemas </span></h2>
<p>Das Schema bietet zwei zusätzliche Elemente zur Hinterlegung von Stylesheets und Transformationsregeln in einem Schema.
</p>
<!-- 
NewPP limit report
Preprocessor node count: 413/1000000
Post-expand include size: 0/2097152 bytes
Template argument size: 0/2097152 bytes
Expensive parser function count: 0/100
-->

<!-- Saved in parser cache with key subwwwent:pcache:idhash:289-0!1!0!!en!2!printable=1 and timestamp 20191008085433 -->
<div class="printfooter">
Retrieved from "<a href="https://wiki.sub.uni-goettingen.de/ent/index.php/Archaeo18_PoC_2011/ODD_Schema">https://wiki.sub.uni-goettingen.de/ent/index.php/Archaeo18_PoC_2011/ODD_Schema</a>"</div>
		<div id='catlinks' class='catlinks catlinks-allhidden'></div>		<!-- end content -->
				<div class="visualClear"></div>
	</div>
</div></div>
<div id="column-one">
	<div id="p-cactions" class="portlet">
		<h5>Views</h5>
		<div class="pBody">
			<ul>
				 <li id="ca-nstab-main" class="selected"><a href="/ent/index.php/Archaeo18_PoC_2011/ODD_Schema" title="View the content page [c]" accesskey="c">Page</a></li>
				 <li id="ca-talk" class="new"><a href="/ent/index.php?title=Talk:Archaeo18_PoC_2011/ODD_Schema&amp;action=edit&amp;redlink=1" title="Discussion about the content page [t]" accesskey="t">Discussion</a></li>
				 <li id="ca-edit"><a href="/ent/index.php?title=Archaeo18_PoC_2011/ODD_Schema&amp;action=edit" title="You can edit this page. Please use the preview button before saving [e]" accesskey="e">Edit</a></li>
				 <li id="ca-history"><a href="/ent/index.php?title=Archaeo18_PoC_2011/ODD_Schema&amp;action=history" title="Past revisions of this page [h]" accesskey="h">History</a></li>
				 <li id="ca-move"><a href="/ent/index.php/Special:MovePage/Archaeo18_PoC_2011/ODD_Schema" title="Move this page [m]" accesskey="m">Move</a></li>
				 <li id="ca-watch"><a href="/ent/index.php?title=Archaeo18_PoC_2011/ODD_Schema&amp;action=watch" title="Add this page to your watchlist [w]" accesskey="w">Watch</a></li>
			</ul>
		</div>
	</div>
	<div class="portlet" id="p-personal">
		<h5>Personal tools</h5>
		<div class="pBody">
			<ul>
				<li id="pt-userpage"><a href="/ent/index.php/User:ChristianMahnke" title="Your user page [.]" accesskey=".">ChristianMahnke</a></li>
				<li id="pt-mytalk"><a href="/ent/index.php/User_talk:ChristianMahnke" title="Your talk page [n]" accesskey="n" class="new">My talk</a></li>
				<li id="pt-preferences"><a href="/ent/index.php/Special:Preferences" title="Your preferences">My preferences</a></li>
				<li id="pt-watchlist"><a href="/ent/index.php/Special:Watchlist" title="The list of pages you are monitoring for changes [l]" accesskey="l">My watchlist</a></li>
				<li id="pt-mycontris"><a href="/ent/index.php/Special:Contributions/ChristianMahnke" title="List of your contributions [y]" accesskey="y">My contributions</a></li>
				<li id="pt-logout"><a href="/ent/index.php?title=Special:UserLogout&amp;returnto=Archaeo18_PoC_2011/ODD_Schema&amp;returntoquery=printable%3Dyes" title="Log out">Log out</a></li>
			</ul>
		</div>
	</div>
	<div class="portlet" id="p-logo">
		<a style="background-image: url(/logo-sub.jpg);" href="/ent/index.php/Main_Page" title="Visit the main page"></a>
	</div>
	<script type="text/javascript"> if (window.isMSIE55) fixalpha(); </script>
	<div class='generated-sidebar portlet' id='p-navigation'>
		<h5>Navigation</h5>
		<div class='pBody'>
			<ul>
				<li id="n-mainpage-description"><a href="/ent/index.php/Main_Page" title="Visit the main page [z]" accesskey="z">Main page</a></li>
				<li id="n-Projekte"><a href="/ent/index.php/Informationen_zu_konkreten_Projekten">Projekte</a></li>
				<li id="n-SE-Infrastruktur"><a href="/ent/index.php/Softwareentwicklungsinfrastruktur">SE-Infrastruktur</a></li>
				<li id="n-Guidelines"><a href="/ent/index.php/Guidelines_und_Best_Practices">Guidelines</a></li>
				<li id="n-How-To.27s"><a href="/ent/index.php/Gewusst_wie_-_L%C3%B6sungen_und_Hinweise">How To's</a></li>
				<li id="n-Protokolle"><a href="/ent/index.php/Protokolle_und_%C3%BCbergreifende_Informationen">Protokolle</a></li>
				<li id="n-Kurzbeschreibungen"><a href="/ent/index.php/Kurzbeschreibungen_und_Links">Kurzbeschreibungen</a></li>
				<li id="n-recentchanges"><a href="/ent/index.php/Special:RecentChanges" title="The list of recent changes in the wiki [r]" accesskey="r">Recent changes</a></li>
				<li id="n-randompage"><a href="/ent/index.php/Special:Random" title="Load a random page [x]" accesskey="x">Random page</a></li>
				<li id="n-help"><a href="/ent/index.php/Help:Contents" title="The place to find out">Help</a></li>
			</ul>
		</div>
	</div>
	<div id="p-search" class="portlet">
		<h5><label for="searchInput">Search</label></h5>
		<div id="searchBody" class="pBody">
			<form action="/ent/index.php" id="searchform">
				<input type='hidden' name="title" value="Special:Search"/>
				<input id="searchInput" title="Search ENT Wiki" accesskey="f" type="search" name="search" />
				<input type='submit' name="go" class="searchButton" id="searchGoButton"	value="Go" title="Go to a page with this exact name if exists" />&nbsp;
				<input type='submit' name="fulltext" class="searchButton" id="mw-searchButton" value="Search" title="Search the pages for this text" />
			</form>
		</div>
	</div>
	<div class="portlet" id="p-tb">
		<h5>Toolbox</h5>
		<div class="pBody">
			<ul>
				<li id="t-whatlinkshere"><a href="/ent/index.php/Special:WhatLinksHere/Archaeo18_PoC_2011/ODD_Schema" title="List of all wiki pages that link here [j]" accesskey="j">What links here</a></li>
				<li id="t-recentchangeslinked"><a href="/ent/index.php/Special:RecentChangesLinked/Archaeo18_PoC_2011/ODD_Schema" title="Recent changes in pages linked from this page [k]" accesskey="k">Related changes</a></li>
<li id="t-upload"><a href="/ent/index.php/Special:Upload" title="Upload files [u]" accesskey="u">Upload file</a></li>
<li id="t-specialpages"><a href="/ent/index.php/Special:SpecialPages" title="List of all special pages [q]" accesskey="q">Special pages</a></li>
				<li id="t-permalink"><a href="/ent/index.php?title=Archaeo18_PoC_2011/ODD_Schema&amp;oldid=3682" title="Permanent link to this revision of the page">Permanent link</a></li>			</ul>
		</div>
	</div>
</div><!-- end of the left (by default at least) column -->
<div class="visualClear"></div>
<div id="footer">
	<div id="f-poweredbyico"><a href="http://www.mediawiki.org/"><img src="/ent/skins/common/images/poweredby_mediawiki_88x31.png" height="31" width="88" alt="Powered by MediaWiki" /></a></div>
	<ul id="f-list">
		<li id="lastmod"> This page was last modified on 22 October 2012, at 10:16.</li>
		<li id="viewcount">This page has been accessed 151 times.</li>
		<li id="privacy"><a href="/ent/index.php/ENT_Wiki:Privacy_policy" title="ENT Wiki:Privacy policy">Privacy policy</a></li>
		<li id="about"><a href="/ent/index.php/ENT_Wiki:About" title="ENT Wiki:About">About ENT Wiki</a></li>
		<li id="disclaimer"><a href="/ent/index.php/ENT_Wiki:General_disclaimer" title="ENT Wiki:General disclaimer">Disclaimers</a></li>
	</ul>
</div>
</div>

<script>if (window.runOnloadHook) runOnloadHook();</script>
<!-- Served in 0.836 secs. --></body></html>
